entmod, entupd doesn't work

Discussion in 'AutoCAD' started by Marcel Janmaat, May 3, 2004.

  1. I've substituted an item (1 . "") in a list but it doesn't get changed
    after entmod and entupd.

    The code;
    (progn (setq el2 (subst (cons 1 ts1) (assoc 1 el2) el2)) (entmod el2)
    (entupd (cdar el2)))


    el2 before;

    ((-1 . <Entity name: 400a5488>) (0 . "ATTRIB") (330 . <Entity name:
    400a5460>) (5 . "A8C1") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
    "0") (62 . 7) (100 . "AcDbText") (10 70875.0 59666.5 0.0) (40 . 180.0) (1 .
    "") (50 . 0.0) (41 . 0.75) (51 . 0.0) (7 . "ISO") (71 . 0) (72 . 1) (11
    70875.0 59756.5 0.0) (210 0.0 0.0 1.0) (100 . "AcDbAttribute") (2 . "GRP")
    (70 . 0) (73 . 0) (74 . 2))

    el2 after;

    ((-1 . <Entity name: 400a5488>) (0 . "ATTRIB") (330 . <Entity name:
    400a5460>) (5 . "A8C1") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
    "0") (62 . 7) (100 . "AcDbText") (10 70875.0 59666.5 0.0) (40 . 180.0) (1 .
    "2") (50 . 0.0) (41 . 0.75) (51 . 0.0) (7 . "ISO") (71 . 0) (72 . 1) (11
    70875.0 59756.5 0.0) (210 0.0 0.0 1.0) (100 . "AcDbAttribute") (2 . "GRP")
    (70 . 0) (73 . 0) (74 . 2))

    (entmod el2) (entupd (cdar el2)) doesn't make a difference to the
    drawing-dbase.
    What am i doing wrong???

    MJ
     
    Marcel Janmaat, May 3, 2004
    #1
  2. Marcel Janmaat

    Jürg Menzi Guest

    Hi Marcel

    You've to 'entupd' the block object - not the attribute...

    Cheers
     
    Jürg Menzi, May 3, 2004
    #2
  3. Ofcourse! How stupid if me.

    But strangely enought this sometimes did work!!
     
    Marcel Janmaat, May 3, 2004
    #3
  4. I have changed a list (el3) from this (see 1);

    ((-1 . <Entity name: 4009d918>) (0 . "ATTRIB") (330 . <Entity name:
    4009d8f0>) (5 . "A753") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
    "0") (62 . 7) (6 . "Continuous") (100 . "AcDbText") (10 61724.1 55505.3 0.0)
    (40 . 180.0) (1 . "3") (50 . 0.0) (41 . 0.75) (51 . 0.0) (7 . "ISO") (71 .
    0) (72 . 4) (11 61774.1 55591.6 0.0) (210 0.0 0.0 1.0) (100 .
    "AcDbAttribute") (2 . "GRP") (70 . 8) (73 . 0) (74 . 0))

    to this (see 1 again);

    ((-1 . <Entity name: 4009d918>) (0 . "ATTRIB") (330 . <Entity name:
    4009d8f0>) (5 . "A753") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
    "0") (62 . 7) (6 . "Continuous") (100 . "AcDbText") (10 61724.1 55505.3 0.0)
    (40 . 180.0) (1 . "5") (50 . 0.0) (41 . 0.75) (51 . 0.0) (7 . "ISO") (71 .
    0) (72 . 4) (11 61774.1 55591.6 0.0) (210 0.0 0.0 1.0) (100 .
    "AcDbAttribute") (2 . "GRP") (70 . 8) (73 . 0) (74 . 0))

    but (entmod el3) replies nil.

    How can this be?

    MJ

     
    Marcel Janmaat, May 4, 2004
    #4
  5. Marcel Janmaat

    Jürg Menzi Guest

    Marcel

    Attribute on a locked Layer?....

    Cheers
     
    Jürg Menzi, May 5, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.